com.google.web.bindery.requestfactory.shared.messages

## Interface ResponseMessage

- All Superinterfaces:
    VersionedMessage

      public interface ResponseMessage
      extends VersionedMessage

  The result of fulfilling a request on the server.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `GENERAL_FAILURE`
    `static java.lang.String` | `INVOCATION_RESULTS`
    `static java.lang.String` | `OPERATIONS`
    `static java.lang.String` | `STATUS_CODES`
    `static java.lang.String` | `VIOLATIONS`

    - ### Fields inherited from interface com.google.web.bindery.requestfactory.shared.messages.VersionedMessage

      `VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerFailureMessage` | `getGeneralFailure()`
    `java.util.List<Splittable>` | `getInvocationResults()`
    `java.util.List<OperationMessage>` | `getOperations()`
    `java.util.List<java.lang.Boolean>` | `getStatusCodes()`
    `java.util.List<ViolationMessage>` | `getViolations()`
    `void` | `setGeneralFailure(ServerFailureMessage failure)`
    `void` | `setInvocationResults(java.util.List<Splittable> value)`
    `void` | `setOperations(java.util.List<OperationMessage> value)`
    `void` | `setStatusCodes(java.util.List<java.lang.Boolean> value)`
    `void` | `setViolations(java.util.List<ViolationMessage> value)`

    - ### Methods inherited from interface com.google.web.bindery.requestfactory.shared.messages.VersionedMessage

      `getVersion, setVersion`

- - ### Field Detail

    - #### GENERAL_FAILURE

          static final java.lang.String GENERAL_FAILURE

      See Also:
        Constant Field Values

    - #### INVOCATION_RESULTS

          static final java.lang.String INVOCATION_RESULTS

      See Also:
        Constant Field Values

    - #### OPERATIONS

          static final java.lang.String OPERATIONS

      See Also:
        Constant Field Values

    - #### STATUS_CODES

          static final java.lang.String STATUS_CODES

      See Also:
        Constant Field Values

    - #### VIOLATIONS

          static final java.lang.String VIOLATIONS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGeneralFailure

          @AutoBean.PropertyName(value="F")
          ServerFailureMessage getGeneralFailure()

    - #### getInvocationResults

          @AutoBean.PropertyName(value="I")
          java.util.List<Splittable> getInvocationResults()

    - #### getOperations

          @AutoBean.PropertyName(value="O")
          java.util.List<OperationMessage> getOperations()

    - #### getStatusCodes

          @AutoBean.PropertyName(value="S")
          java.util.List<java.lang.Boolean> getStatusCodes()

    - #### getViolations

          @AutoBean.PropertyName(value="X")
          java.util.List<ViolationMessage> getViolations()

    - #### setGeneralFailure

          @AutoBean.PropertyName(value="F")
          void setGeneralFailure(ServerFailureMessage failure)

    - #### setInvocationResults

          @AutoBean.PropertyName(value="I")
          void setInvocationResults(java.util.List<Splittable> value)

    - #### setOperations

          @AutoBean.PropertyName(value="O")
          void setOperations(java.util.List<OperationMessage> value)

    - #### setStatusCodes

          @AutoBean.PropertyName(value="S")
          void setStatusCodes(java.util.List<java.lang.Boolean> value)

    - #### setViolations

          @AutoBean.PropertyName(value="X")
          void setViolations(java.util.List<ViolationMessage> value)